package com.ruoyi.project.intact.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.intact.mapper.TApproveMaintenanceMapper;
import com.ruoyi.project.intact.domain.TApproveMaintenance;
import com.ruoyi.project.intact.service.ITApproveMaintenanceService;

/**
 * 设备完整性维修申请Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-27
 */
@Service
public class TApproveMaintenanceServiceImpl implements ITApproveMaintenanceService
{
    @Autowired
    private TApproveMaintenanceMapper tApproveMaintenanceMapper;

    /**
     * 查询设备完整性维修申请
     *
     * @param id 设备完整性维修申请ID
     * @return 设备完整性维修申请
     */
    @Override
    public TApproveMaintenance selectTApproveMaintenanceById(Long id)
    {
        return tApproveMaintenanceMapper.selectTApproveMaintenanceById(id);
    }

    /**
     * 查询设备完整性维修申请列表
     *
     * @param tApproveMaintenance 设备完整性维修申请
     * @return 设备完整性维修申请
     */
    @Override
    public List<TApproveMaintenance> selectTApproveMaintenanceList(TApproveMaintenance tApproveMaintenance)
    {
        return tApproveMaintenanceMapper.selectTApproveMaintenanceList(tApproveMaintenance);
    }

    /**
     * 新增设备完整性维修申请
     *
     * @param tApproveMaintenance 设备完整性维修申请
     * @return 结果
     */
    @Override
    public int insertTApproveMaintenance(TApproveMaintenance tApproveMaintenance)
    {
        return tApproveMaintenanceMapper.insertTApproveMaintenance(tApproveMaintenance);
    }

    /**
     * 修改设备完整性维修申请
     *
     * @param tApproveMaintenance 设备完整性维修申请
     * @return 结果
     */
    @Override
    public int updateTApproveMaintenance(TApproveMaintenance tApproveMaintenance)
    {
        return tApproveMaintenanceMapper.updateTApproveMaintenance(tApproveMaintenance);
    }

    /**
     * 批量删除设备完整性维修申请
     *
     * @param ids 需要删除的设备完整性维修申请ID
     * @return 结果
     */
    @Override
    public int deleteTApproveMaintenanceByIds(Long[] ids)
    {
        return tApproveMaintenanceMapper.deleteTApproveMaintenanceByIds(ids);
    }

    /**
     * 删除设备完整性维修申请信息
     *
     * @param id 设备完整性维修申请ID
     * @return 结果
     */
    @Override
    public int deleteTApproveMaintenanceById(Long id)
    {
        return tApproveMaintenanceMapper.deleteTApproveMaintenanceById(id);
    }
}
